//
// Created by hoelshare on 21.05.17.
//

#ifndef GPN_LASERTAG_LASERMENUITEM_HPP
#define GPN_LASERTAG_LASERMENUITEM_HPP
#include <GPNBadge.hpp>
#include <FS.h>
#include "UIThemes.h"
#include "BadgeUI.h"
class LaserMenuItem : public MenuItem {
public:
    LaserMenuItem(std::function<void(void)> trigger, const char* imagePath) :
            MenuItem("100%", trigger), imagePath(imagePath) {
    };

    void setImagePath(String imagePath) { this->imagePath = imagePath.c_str(); }

private:
    const char *imagePath;
    void bmpDraw(uint8_t, uint16_t, TFT_ILI9163C*);
};

#endif //GPN_LASERTAG_LASERMENUITEM_HPP
